# Set to 1 to build for the first time.  There is a cyclical
# dependency between eclipse-remote and eclipse-tm-terminal.
%global _bootstrap 0

%global git_tag 4.1_neon

Name:           eclipse-tm-terminal
Version:        4.1.0
Release:        %mkrel 3
Group:          Development/Java
Summary:        Terminal plugin for Eclipse

License:        EPL
URL:            https://www.eclipse.org/tm/
Source0:        http://git.eclipse.org/c/tm/org.eclipse.tm.terminal.git/snapshot/org.eclipse.tm.terminal-%{git_tag}.tar.xz
BuildArch:      noarch

BuildRequires:  maven-local
BuildRequires:  tycho-extras
BuildRequires:  eclipse-license
BuildRequires: 	eclipse-egit
%if ! %{_bootstrap}
# Needed for additional terminal connectors
BuildRequires:  eclipse-cdt
BuildRequires:  eclipse-rse
BuildRequires:  eclipse-remote
%endif

%description
An integrated Eclipse View for the local command prompt (console) or
remote hosts (SSH, Telnet, Serial).

%if ! %{_bootstrap}
%package connectors
Summary:        Additional connectors for Terminal plug-in for Eclipse

%description connectors
An integrated Eclipse View for the local command prompt (console) or
remote hosts (SSH, Telnet, Serial).
%endif

%package sdk
Summary:        Terminal SDK plug-in for Eclipse
Requires:       %{name} = %{version}-%{release}
%if ! %{_bootstrap}
Requires:       %{name}-connectors = %{version}-%{release}
%endif

%description sdk
Sources and developer resources for the Terminal plug-in for Eclipse.

%prep
%setup -q -n org.eclipse.tm.terminal-%{git_tag}

# Don't need to build repo
%pom_disable_module repos/org.eclipse.tm.terminal.repo

# When bootstrapping, disable the plugins and features that
# create cyclical dependencies
%if %{_bootstrap}
%pom_disable_module plugins/org.eclipse.tm.terminal.connector.process
%pom_disable_module plugins/org.eclipse.tm.terminal.connector.local
%pom_disable_module features/org.eclipse.tm.terminal.connector.local.feature
%pom_disable_module features/org.eclipse.tm.terminal.connector.local.sdk.feature
%pom_disable_module plugins/org.eclipse.tm.terminal.connector.remote
%pom_disable_module features/org.eclipse.tm.terminal.connector.remote.feature
%pom_disable_module features/org.eclipse.tm.terminal.connector.remote.sdk.feature
%pom_disable_module plugins/org.eclipse.tm.terminal.view.ui.rse
%pom_disable_module features/org.eclipse.tm.terminal.view.rse.feature
%pom_disable_module features/org.eclipse.tm.terminal.view.rse.sdk.feature
%pom_xpath_remove "import[@feature='org.eclipse.tm.terminal.connector.local.feature']" \
  features/org.eclipse.tm.terminal.feature/feature.xml
%pom_xpath_remove "import[@feature='org.eclipse.tm.terminal.connector.local.sdk.feature']" \
  features/org.eclipse.tm.terminal.sdk.feature/feature.xml
%endif

#drop due to gnu.io dep not available
%pom_disable_module plugins/org.eclipse.tm.terminal.connector.serial
%pom_disable_module features/org.eclipse.tm.terminal.connector.serial.feature
%pom_disable_module features/org.eclipse.tm.terminal.connector.serial.sdk.feature
%pom_xpath_remove "import[@feature='org.eclipse.tm.terminal.connector.serial.feature']" \
  features/org.eclipse.tm.terminal.feature/feature.xml
%pom_xpath_remove "import[@feature='org.eclipse.tm.terminal.connector.serial.sdk.feature']" \
  features/org.eclipse.tm.terminal.sdk.feature/feature.xml

%pom_xpath_remove "pom:plugin[pom:artifactId[text()='tycho-packaging-plugin']]/pom:configuration" admin/pom-config.xml

sed -i -e "s|feature.properties,\\\|feature.properties|g" features/org.eclipse.tm.terminal.view.feature/build.properties
sed -i -e "s|p2.inf||g" features/org.eclipse.tm.terminal.view.feature/build.properties

# No need to install poms
%mvn_package "::pom::" __noinstall
%mvn_package "::jar:sources:" sdk
%mvn_package ":*.sdk.feature" sdk
%mvn_package ":org.eclipse.tm.terminal.connector.{local,process,remote}*" connectors
%mvn_package ":org.eclipse.tm.terminal.view.{rse,ui.rse}*" connectors
%mvn_package ":"

%build
%mvn_build -j

%install
%mvn_install

%files -f .mfiles

%if ! %{_bootstrap}
%files connectors -f .mfiles-connectors
%endif

%files sdk -f .mfiles-sdk



%changelog
* Tue Oct 04 2016 daviddavid <daviddavid> 4.1.0-3.mga6
+ Revision: 1058563
- Split out remote connecter, which requires CDT via PTP Remote
- Improve bootstrapping mode
- Split out local connecter, which requires CDT
- Add a SDK package for source bundles

* Sun Jul 03 2016 daviddavid <daviddavid> 4.1.0-1.mga6
+ Revision: 1038406
- Update to Neon release 4.1.0

* Wed Mar 02 2016 neoclust <neoclust> 4.0.0-7.mga6
+ Revision: 981795
- Second rebuild of the java stack

* Sun Feb 21 2016 neoclust <neoclust> 4.0.0-6.mga6
+ Revision: 975799
- First rebuild of the java stack
- sync package eclipse-tm-terminal with fedora

